dofile ('Data/Scripts/Common/Utils/Helpers/HelpersHiddenObject.lua')

--------------------------------------------------------------------------------
function IsTaskActionObject(objName)
    local level = current_scene:getPlayField()
    local panel = level:getPanel()
    
    if level.ho_logic:isTaskObject(objName) and not IsTaskObjectFound(current_scene:getName(), objName) then
        local task = GetTask(objName)
        
        return task:hasActionObject()
    end
    
    return false
end
--------------------------------------------------------------------------------
